Bug 18766 - ArticleRequests.t raises warnings
Summary: ArticleRequests.t raises warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18448
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 13:45 UTC by Tomás Cohen Arazi
Modified: 2017-07-16 12:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18766: Remove itemtype-related warnings from ArticleRequests.t (1.19 KB, patch)
2017-06-09 13:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18766: Remove itemtype-related warnings from ArticleRequests.t (1.26 KB, patch)
2017-06-09 13:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-06-09 13:45:22 UTC
To test:
- Run:
  $ sudo koha-shell kohadev
 k$ cd kohaclone
 k$ prove t/db_dependent/ArticleRequests.t
=> FAIL: itemtype-related warnings raised.
Comment 1 Tomás Cohen Arazi 2017-06-09 13:49:14 UTC
Created attachment 64134 [details] [review]
Bug 18766: Remove itemtype-related warnings from ArticleRequests.t

This patch fixes a small mistake on that test file (itype vs. itemtype
in itemtypes table)

To test:
- Run:
  $ sudo koha-shell kohadev
 k$ cd kohaclone
 k$ prove t/db_dependent/ArticleRequests.t
=> FAIL: itemtype-related warning displayed
- Apply the patch
- Run
 k$ prove t/db_dependent/ArticleRequests.t
=> SUCCESS: No warnings, YAY!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Jonathan Druart 2017-06-09 13:53:17 UTC
Created attachment 64135 [details] [review]
Bug 18766: Remove itemtype-related warnings from ArticleRequests.t

This patch fixes a small mistake on that test file (itype vs. itemtype
in itemtypes table)

To test:
- Run:
  $ sudo koha-shell kohadev
 k$ cd kohaclone
 k$ prove t/db_dependent/ArticleRequests.t
=> FAIL: itemtype-related warning displayed
- Apply the patch
- Run
 k$ prove t/db_dependent/ArticleRequests.t
=> SUCCESS: No warnings, YAY!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-06-09 13:54:00 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-06-09 13:54:11 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-12 10:00:34 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-13 05:58:04 UTC
Patch doesn't apply cleanly to 16.11.x - please check if it's needed there and rebase.
Comment 7 Katrin Fischer 2017-07-16 12:53:43 UTC
Problem here stems from the dependencies not being in 16.11.x, because they don't apply. Closing.